Subject: Inconsistent description of "UID" in iCalendar core spec?

From: Ross Finlayson <[email-masked]>
Date: Thu, 05 Aug 1999 12:04:27 -0700

In the iCalendar Core Object Specification (RFC 2445), there seems to be an
inconsistency in the way the "UID" property is described.

In section 4.8.4.7, the "Conformance" paragraph states:
"The property MUST be specified in the "VEVENT", "VTODO", "VJOURNAL" or
"VFREEBUSY" calendar components."

However, in the descriptions of each of these components, "uid" is listed
in the "optional, but must nor occur more than once" list.

So, which is correct.  Should I treat the "MUST" in section 4.8.4.7 as
being the truth?

	Ross.